Update Procedure Draft

Create or update user's draft for a procedure

Path parameters

agent_idstringRequired
Agent ID to get the procedure draft from
branch_idstringRequired
Branch ID to get the procedure draft from
procedure_idstringRequired
The procedure ID

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
namestringRequired<=200 characters
Procedure name
contentstringRequired<=50000 characters
Procedure content
typeenumRequiredDefaults to free_form
Procedure type
triggerstring or nullOptional

When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it. If omitted or null, the trigger is derived from the content instead. Also accepts description as an alias.

Response

Successful Response
procedure_idstring
Procedure ID
namestring<=200 characters
Procedure name
contentstring<=50000 characters
Procedure content
typeenumDefaults to free_form
Procedure type
triggerstringDefaults to

When the agent should use this procedure. Empty string means this is a sub-procedure that should only start when another procedure references it.

Errors

422
Unprocessable Entity Error